ZPOTRS(3f)

NAME
ZPOTRS - a system of linear equations A*X = B with a Hermitian positive definite matrix A using the Cholesky factorization A = U**H*U or A = L*L**H computed by ZPOTRF

SYNOPSIS

SUBROUTINE ZPOTRS(
    UPLO, N, NRHS, A, LDA, B, LDB, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDA, LDB, N, NRHS

COMPLEX*16
    A( LDA, * ), B( LDB, * )

PURPOSE
ZPOTRS solves a system of linear equations A*X = B with a Hermitian positive definite matrix A using the Cholesky factorization A = U**H*U or A = L*L**H computed by ZPOTRF.

ARGUMENTS

UPLO    (input) CHARACTER*1
    = 'U': Upper triangle of A is stored;
    = 'L': Lower triangle of A is stored.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

A       (input) COMPLEX*16 array, dimension (LDA,N)
    The triangular factor U or L from the Cholesky factorization A = U**H*U or A = L*L**H, as computed by ZPOTRF.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

B       (input/output) COMPLEX*16 array, dimension (LDB,NRHS)
    On entry, the right hand side matrix B. On exit, the solution matrix X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value